Get Playlist Snapshot on a Date

Returns the tracks that were on the playlist on the given date, each enriched with basic track info (name, ISRC, artists, album metadata).

Path Parameters
  • id
    required

    Chartmetric playlist ID. Numeric for spotify, itunes/applemusic, deezer; string for amazon (e.g. ASIN), youtube, and soundcloud.

  • platform
    Type: string enum
    required

    Streaming platform. One of spotify, applemusic (aliased to itunes), deezer, amazon, youtube, soundcloud.

    values
    • cm
    • spotify
    • itunes
    • applemusic
    • deezer
Query Parameters
  • storefront
    Type: string
    min length:  
    2
    max length:  
    2

    ISO 3166-1 alpha-2 country code (2 letters, e.g. 'US', 'BR', 'GB').

  • date
    Type: string Format: date-time
    required

    Snapshot date. Returns the tracks that were on the playlist on this date (YYYY-MM-DD).

Responses
  • application/json
Request Example for get/api/playlist/{platform}/{id}/snapshot
curl 'https://api.chartmetric.com/api/playlist/cm/null/snapshot?date=' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "obj": [
    {
      "track_id": 16979872,
      "id": 16979872,
      "added_at": "2020-01-22T00:00:00.000Z",
      "removed_at": null,
      "position": 1,
      "name": "Into the Unknown",
      "isrc": "USWD11994667",
      "spotify_track_id": "3Z0oQ8r78OUaHvGPiDBR3W",
      "spotify_album_id": "4M07HWIlZr7zoXoxDHR5mz",
      "image_url": "https://i.scdn.co/image/43c6b410f1bc66fac51d61f36e3149b29b3f25f1",
      "spotify_popularity": 79,
      "cm_track": 27031598,
      "spotify_artist_names": [
        "Idina Menzel",
        "AURORA"
      ],
      "track_genre": "broadway,hollywood,movie tunes,show tunes,norwegian pop,pop",
      "cm_artist": [
        1805,
        5172
      ],
      "artist_names": [
        "Idina Menzel",
        "AURORA"
      ],
      "code2s": [
        "US",
        "NO"
      ],
      "artist_images": [
        "https://i.scdn.co/image/e303c5a39e4da4f7c40f1b6ccc1209795c9199d0",
        "https://i.scdn.co/image/a3ade0a92bb3c99514fb8d017024a7d9df1572b1"
      ],
      "artist_covers": [
        null,
        null
      ],
      "spotify_artist_ids": [
        "73Np75Wv2tju61Eo9Zw4IR",
        "1WgXqy2Dd70QQOU7Ay074N"
      ],
      "spotify_track_ids": [
        "3Z0oQ8r78OUaHvGPiDBR3W"
      ],
      "spotify_album_ids": [
        "4M07HWIlZr7zoXoxDHR5mz"
      ],
      "spotify_duration_ms": 194848,
      "album_ids": [
        5357061
      ],
      "album_names": [
        "Frozen 2 (Original Motion Picture Soundtrack/Deluxe Edition)"
      ],
      "album_upc": [
        "050087433390"
      ],
      "album_label": [
        "Walt Disney Records"
      ],
      "release_dates": [
        "2019-11-15T00:00:00.000Z"
      ]
    }
  ]
}